Package Gnumed :: Package wxpython :: Module gmResizingWidgets |
[frames] | no frames]

# Module gmResizingWidgets

source code

gmResizingWidgets - Resizing widgets for use in GNUmed.

Design by Richard Terry and Ian Haywood.

Author: Ian Haywood, Karsten Hilbert, Richard Terry

License: GPL v2 or later (details at http://www.gnu.org)

Classes
| cPickList
| cPopupFrame
| cSTCval
| cResizingWindow A vertically-scrolled window which allows subwindows to change their size, and adjusts accordingly.
| cResizingSTC A StyledTextCrl that monitors the size of its internal text and resizes the parent accordingly.

Variables
| STYLE_ERROR = `1`
| STYLE_TEXT = `2`
| STYLE_EMBED = `4`
| __package__ = ``'``Gnumed.wxpython``'``

Imports: sys, logging, regex, wx, gmI18N, gmDispatcher, gmPG2, gmKeywordExpansion, gmGuiHelpers, gmTimer